<?php

/**
 * Single Post.
 */
global  $post ;
$nichebase_large_image = wp_get_attachment_image_src(
    get_post_thumbnail_id( get_the_ID() ),
    'fullsize',
    false,
    ''
);
$nichebase_large_image = $nichebase_large_image[0];
// is_premium
// Single Theme Option

if ( $nichebase_large_image ) {
    $img_class = '';
} else {
    $img_class = ' no-img';
}

$cat_list = get_the_category();
$tag_list = get_the_tags();
// is_premium

if ( nic_fs()->is_free_plan() ) {
    // Only for free users
    $tag_meta = false;
    $author_info = false;
}

// is_free
?>
<div id="post-<?php 
the_ID();
?>" <?php 
post_class( 'nibs-blog-post' );
?>>
	<div class="nibs-news-detail<?php 
echo  esc_attr( $img_class ) ;
?>">
    <?php 
// is_premium
// Only for free users

if ( nic_fs()->is_free_plan() ) {
    ?>
	<?php 
    
    if ( $nichebase_large_image ) {
        ?>
	  <div class="nibs-news"><img src="<?php 
        echo  esc_url( $nichebase_large_image ) ;
        ?>" alt="<?php 
        the_title_attribute();
        ?>"></div>
	<?php 
    }

}

// is_free
?>
		<div class="nibs-news-detail-wrap">
			<div class="nibs-news-meta">
	      <div class="row">
	        <div class="col-md-12">
	        	<h5 class="nibs-news-date">
	        		<?php 
// is_premium
// Only for free users

if ( nic_fs()->is_free_plan() ) {
    ?>

			        <span><?php 
    echo  esc_html( get_the_date() ) ;
    ?></span>
	        		<span><?php 
    esc_html_e( ' By', 'nichebase' );
    ?> <a href="<?php 
    echo  esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ;
    ?>"><?php 
    echo  esc_html( get_the_author() ) ;
    ?></a></span>
					    <?php 
    $categories = get_the_category();
    
    if ( $categories ) {
        ?>
						    <span>
					        <?php 
        foreach ( $categories as $category ) {
            ?>
					          <a href="<?php 
            echo  esc_url( get_category_link( $category->term_id ) ) ;
            ?>"><?php 
            echo  esc_html( $category->name ) ;
            ?></a>
					        <?php 
        }
        ?>
				        </span>
			        <?php 
    }

}

// is_free
?>

	        	</h5>
	        </div>
	      </div>
	    </div>
	    <!-- Content -->
			<?php 
the_content();
wp_link_pages( array(
    'before'         => '<div class="wp-link-pages">' . esc_html__( 'Pages:', 'nichebase' ),
    'after'          => '</div>',
    'link_before'    => '<span>',
    'link_after'     => '</span>',
    'next_or_number' => 'number',
    'separator'      => ' ',
    'pagelink'       => '%',
    'echo'           => 1,
) );

if ( !$tag_meta ) {
    ?>
			<div class="single-news-meta">
        <?php 
    $tags = get_the_tags();
    
    if ( $tags ) {
        ?>
	        <div class="news-meta-tags">
	          <span class="meta-label"><?php 
        esc_html_e( 'Tags:', 'nichebase' );
        ?></span>
	          <span class="meta-tag">
			      <?php 
        foreach ( $tags as $post_tag ) {
            ?>
		          <a href="<?php 
            echo  esc_url( get_tag_link( $post_tag->term_id ) ) ;
            ?>"><?php 
            echo  esc_html( $post_tag->name ) ;
            ?></a>
			      <?php 
        }
        ?>
			      </span> <?php 
        // is_premium
        ?>
	        </div>
	      <?php 
    }
    
    ?>
      </div>
    <?php 
}

?>
		</div>
  </div>
	<!-- Author Info -->
	<?php 
if ( !$author_info ) {
    if ( function_exists( 'nichebase_author_info' ) ) {
        echo  nichebase_author_info() ;
    }
}
// is_premium
?>
</div><!-- #post-## -->
