<?php

/*
 * The template for displaying 404 pages (not found).
 * Author & Copyright: NicheBase
 * URL: https://nicheaddons.com/
 */
get_header();
// is_premium

if ( nic_fs()->is_free_plan() ) {
    $nichebase_error_heading = esc_html__( '404', 'nichebase' );
    $nichebase_error_subheading = esc_html__( 'Ooops!!! Something went Wrong', 'nichebase' );
    $nichebase_content = esc_html__( 'The page you are looking for is removed or might never existed.', 'nichebase' );
    $nichebase_btn_txt = esc_html__( 'Back To Home', 'nichebase' );
}

// is_free
?>
<div class="nibs-error">
  <div class="container">
    <h1 class="error-title"><?php 
echo  esc_html( $nichebase_error_heading ) ;
?></h1>
    <h2 class="error-subtitle"><?php 
echo  esc_html( $nichebase_error_subheading ) ;
?></h2>
    <p><?php 
echo  esc_html( $nichebase_content ) ;
?></p>
    <div class="nibs-btn-wrap"><a href="<?php 
echo  esc_url( home_url( '/' ) ) ;
?>" class="nibs-btn nibs-blue-btn nibs-small-btn"><?php 
echo  esc_html( $nichebase_btn_txt ) ;
?></a></div>
  </div>
</div>
<?php 
get_footer();