<?php

/*
 * The sidebar containing the main widget area.
 * Author & Copyright: NicheBase
 * URL: https://nicheaddons.com/
 */
global  $nichebase_redux_options ;
// is_premium
// Only for free users

if ( nic_fs()->is_free_plan() ) {
    $nichebase_blog_widget = ( isset( $nichebase_redux_options['blog_widget_free'] ) ? $nichebase_redux_options['blog_widget_free'] : '' );
    $sidebar_class = '';
}

// is_free
?>
<div class="nibs-secondary <?php 
echo  esc_attr( $sidebar_class ) ;
?>">
	<?php 

if ( !is_page() && $nichebase_blog_widget && !is_single() ) {
    if ( is_active_sidebar( $nichebase_blog_widget ) ) {
        dynamic_sidebar( $nichebase_blog_widget );
    }
} else {
    if ( is_active_sidebar( 'sidebar-1' ) ) {
        dynamic_sidebar( 'sidebar-1' );
    }
}

?>
</div><!-- #secondary -->
